<?php
// Kyttesimerkkej.
// Tm ksittelysivu palauttaa virheilmoitukset kyttjlle tekstin.
// Laitetaan kaikki mahdolliset ilmoitukset nkyviin.
header("Content-Type: text/html; charset=utf-8");
ini_set("error_reporting", E_ALL | E_STRICT);
ini_set("display_errors", 1);

// Tehdn viel oma poikkeustyyppi virheit varten.
class UploadException extends Exception {
	// Luokan vanha sislt kelpaa meille.
}

// Otetaan funktiot mukaan.
require_once("dbfunctions.php");

session_start();

if (!isset($_SESSION['user_id'])) {
	header("Location: Login.html");
	die();
}
try {

	if ($_FILES["file"]["type"] != "text/xml") {
		throw new UploadException("Tiedostomuotoa ei tueta!");
	}
			
} catch (UploadException $e) {

	die($e->getMessage());
}

$library = load_xml($_FILES['file']['tmp_name']);

if ($library) {
	
	connect();
	
	create_library_tables($_SESSION['user_id']);
	populate_database($library,$_SESSION['user_id']);
	header("Location: Library.html");
}

// Luodaan XML saadusta tiedostosta
function load_xml($input) {

	$lib = new DOMDocument();

	$lib->load($input);
	/*
	if (!$lib->schemaValidate("library.xsd")) {
		echo "Document is not valid!".PHP_EOL;
		return null;
	}
	*/
	return $lib;
}
?>